commit 7df6af205f5c9853c4d70b5b8172b0483179c891
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Jan 15 09:33:55 2025 +0000

    libstdc++: Fix reversed args in unreachable assumption [PR109849]
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/109849
            * include/bits/vector.tcc (vector::_M_range_insert): Fix
            reversed args in length calculation.
    
    (cherry picked from commit 6f85a97248fdff15aadc9514c1118eee0293d256)

diff --git a/libstdc++-v3/include/bits/vector.tcc b/libstdc++-v3/include/bits/vector.tcc
index 1d16735782d..0458d560075 100644
--- a/libstdc++-v3/include/bits/vector.tcc
+++ b/libstdc++-v3/include/bits/vector.tcc
@@ -1006,7 +1006,7 @@ _GLIBCXX_BEGIN_NAMESPACE_CONTAINER
 		const size_type __len =
 		  _M_check_len(__n, "vector::_M_range_insert");
 #if __cplusplus < 201103L
-		if (__len < (__n + (__old_start - __old_finish)))
+		if (__len < (__n + (__old_finish - __old_start)))
 		  __builtin_unreachable();
 #endif
 

